
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CSS对浏览器的兼容性常见处理方式小结 / 憋错料</title>

    <meta name="description" content="CSS对浏览器的兼容性常见处理方式小结 CSS技巧 1.div的垂直居中问题: vertical-align:middle; 将行距增加到和整个DIV一样高 line-height:200px; 然后插入文字,就垂直居中了. 缺点:要控制内容不要换行. 2. margin加倍的问题:设置为float的div在ie下设置的margin会加倍. 这是一个ie6都存在的bug. 解决方案:在这个div里面加上display:inline; 例如:&lt;#div id=”imfloat”&gt;相应的css为 #IamFloat{ floa ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">CSS对浏览器的兼容性常见处理方式小结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>CSS</strong><strong>技巧</strong></p>
<p><strong>1.div的垂直居中问题：</strong></p>
<p><strong>　　</strong>vertical-align:middle; 将行距增加到和整个DIV一样高 line-height:200px; 然后插入文字，就垂直居中了。</p>
<p>　　缺点：要控制内容不要换行。</p>
<p><strong>2. margin加倍的问题：设置为float的div在ie下设置的margin会加倍。</strong></p>
<p>　　这是一个ie6都存在的bug。</p>
<p>　　解决方案：在这个div里面加上display:inline;</p>
<p>　　例如：&lt;#div id=&rdquo;imfloat&rdquo;&gt;相应的css为　</p>
<pre>#IamFloat{

 float:left;

 margin:5px;/*IE下理解为10px*/

 display:inline;/*IE下再理解为5px*/
}</pre>
<p><strong>3.浮动ie产生的双倍距离</strong></p>
<pre>#box
{
　　float:left;

　　width:100px;

　　margin:0 0 0 100px; /*这种情况之下IE会产生200px的距离*/

　　display:inline; /*使浮动忽略*/
}</pre>
<p>这里细说一下block与inline两个元素：</p>
<p>　　　　block元素的特点是,总是在新行上开始,高度,宽度,行高,边距都可以控制(块元素);</p>
<p>　　　　Inline元素的特点是,和其他元素在同一行上,不可控制(内嵌元素);</p>
<pre>#box
{

　　display:block; /*可以为内嵌元素模拟为块元素*/

　　display:inline; /*实现同一行排列的效果*/

　　diplay:table;/*此元素会作为块级表格来显示（类似 &lt;table&gt;），表格前后带有换行符*/
}</pre>
<p><strong>4、 IE与宽度和高度的问题-IE 不认得min-这个定义</strong></p>
<p><strong>　　</strong>实际上它把正常的width和height当作有min的情况来使。这样问题就大了，如果只用宽度和高度，正常的浏览器里这两个值就不会变，如果只用min-width和min-height的话，IE下面根本等于没有设置宽度和高度。</p>
<p>比如要设置背景图片，这个宽度是比较重要的。要解决这个问题，可以这样：</p>
<pre>#box
{
width: 80px;
height: 35px;
}

html&gt;body #box
{
width: auto;
height: auto;
min-width: 80px;
min-height: 35px;
}</pre>
<p>　　页面的最小宽度,min -width是个非常方便的CSS命令，它可以指定元素最小也不能小于某个宽度，这样就能保证排版一直正确。但IE不认得这个，而它实际上把width当做最小宽度来使。</p>
<p>　　为了让这一命令在IE上也能用，可以把一个&lt;div&gt; 放到 &lt;body&gt; 标签下，然后为div指定一个类,然后CSS这样设计:</p>
<pre>#container
{
min-width:600px;
width:expression(document.body.clientWidth &lt; 600? "600px": "auto" );
}</pre>
<p>　　第一个min-width是正常的；但第2行的width使用了Javascript，这只有IE才认得，这也会让你的HTML文档不太正规。它实际上通过Javascript的判断来实现最小宽度。</p>
<p><strong>5.DIV浮动，IE文本产生3象素的bug</strong></p>
<p>　　左边对象浮动，右边采用外补丁的左边距来定位，右边对象内的文本会离左边有3px的间距.</p>
<pre>#box{ float:left; width:800px;}
#left{ float:left; width:50%;}
#right{ width:50%;}
*html #left
{
    margin-right:-3px; //这句是关键
}
</pre>

<pre>&lt;div id="box"&gt;  

　　&lt;div id="left"&gt;&lt;/div&gt;  

　　&lt;div id="right"&gt;&lt;/div&gt; 

 &lt;/div&gt;</pre>
<p><strong>6.IE捉迷藏的问题</strong></p>
<p>　　当div应用复杂的时候每个栏中又有一些链接，DIV等这个时候容易发生捉迷藏的问题。有些内容显示不出来，当鼠标选择这个区域是发现内容确实在页面。<br /> 　　解决办法：对#layout使用line-height属性 或者给#layout使用固定高和宽。页面结构尽量简单。</p>
<p><strong>7.float的div闭合;清除浮动;自适应高度;&nbsp;</strong></p>
<p>① 例如：</p>
<pre>&lt;div id=&rdquo;floatA&rdquo; &gt;

&lt;div id=&rdquo;floatB&rdquo; &gt;

&lt;div id=&rdquo; NOTfloatC&rdquo; &gt;</pre>
<p>这里的NOTfloatC并不希望继续平移，而是希望往下排。<strong>(其中floatA、floatB的属性已经设置为 float:left;),</strong></p>
<p>这段代码在IE中毫无问题，问题出在FF。原因是NOTfloatC并非float标签，必须将float标签闭合。</p>
<p>在 &lt;div class=&rdquo;floatB&rdquo;&gt; &lt;div class=&rdquo;NOTfloatC&rdquo;&gt;之间加上 &lt; div class=&rdquo;clear&rdquo;&gt;这个div</p>
<p>一定要注意位置，而且必须与两个具有float属性的div同级，之间不能存在嵌套关系，否则会产生异常。 并且将clear这种样式定义为为如下即可：</p>
<pre> .clear{ clear:both;} </pre>
<p>②作为外部 wrapper 的 div 不要定死高度,为了让高度能自动适应，要在wrapper里面加上overflow:hidden;</p>
<p>当包含float的 box的时候，高度自动适应在IE下无效，这时候应该触发IE的layout私有属性(万恶的IE啊！)用zoom:1;可以做到，这样就达到了兼容。</p>
<p>例如某一个wrapper如下定义：</p>
<pre> .colwrapper{
    overflow:hidden;
    zoom:1;
    margin:5px auto;
} </pre>
<p>③对于排版,我们用得最多的css描述可能就是float:left.有的时候我们需要在n栏的float div后面做一个统一的背景,譬如:</p>
<pre>&lt;div id=&rdquo;page&rdquo;&gt;

    &lt;div id=&rdquo;left&rdquo;&gt;&lt;/div&gt;  

    &lt;div id=&rdquo;center&rdquo;&gt;&lt;/div&gt;  

    &lt;div id=&rdquo;right&rdquo;&gt;&lt;/div&gt;   

&lt;/div&gt;  </pre>
<p>比如我们要将page的背景设置成蓝色,以达到所有三栏的背景颜色是蓝色的目的,但是我们会发现随着left center right的向下拉长,而 page居然保存高度不变,问题来了,</p>
<p>原因在于page不是float属性,而我们的page由于要居中,不能设置成float,</p>
<p>所以我们应该这样解决 &nbsp;：再嵌入一个float left而宽度是100%的DIV</p>
<pre>&lt;div id="page"&gt;
    &lt;div id="bg" style="float:left;width:100%;background-color:red;"&gt;
       &lt;div id="left"&gt;11111&lt;/div&gt;
        &lt;div id="center"&gt;22222&lt;/div&gt;
        &lt;div id="right"&gt;33333&lt;/div&gt;
    &lt;/div&gt;
&lt;/div&gt;  </pre>
<p>④<strong>万能float 闭合(非常重要!)</strong> 关于 clear float 的原理可参见 [How To Clear Floats Without Structural Markup],将以下代码加入Global CSS 中,给需要闭合的div加上 class="clearfix" 即可,屡试不爽.</p>
<pre> /* Clear Fix */   

.clearfix:after {
    content:".";
    display:block;
    height:0;
    clear:both;
    visibility:hidden;
}  

 .clearfix {
    display:inline-block;
}   

/* Hide from IE Mac */   

.clearfix {display:block;}  

 /* End hide from IE Mac */   

/* end of clearfix */   </pre>
<p>或者这样设置：.hackbox{ display:table; //将对象作为块元素级的表格显示}</p>
<p><strong>8 .IE6下为什么图片下有空隙产生</strong></p>
<p>　　解决这个BUG的方法也有很多,</p>
<ul>
<li>可以是改变html的排版,</li>
<li>或者设置img 为display:block</li>
<li>或者设置vertical-align 属性为 vertical-align:top | bottom |middle |text-bottom</li>
</ul>
<p><strong>9.如何对齐文本</strong></p>
<p><strong>　　</strong>与文本输入框加上 vertical-align:middle;</p>
<pre>&lt;style type="text/css"&gt;

&lt;!-- input {     

width:200px;     

height:30px;    

border:1px solid red; 

vertical-align:middle; } --&gt;

&lt;/style&gt;</pre>
<p><strong>10.web标准中定义id与class有什么区别吗?</strong></p>
<ul>
<li>web标准中是不容许重复ID的,比如 div id="aa" 不容许重复2次,而class 定义的是类,理论上可以无限重复, 这样需要多次引用的定义便可以使用他.</li>
<li>属性的优先级问题: ID 的优先级要高于class</li>
<li>ID方便JS等客户端脚本,如果在页面中要对某个对象进行脚本操作,那么可以给他定义一个ID,否则只能利用遍历页面元素加上指定特定属性来找到它,这是相对浪费时间资源,远远不如一个ID来得简单.</li>
</ul>
<p><strong>11. &lt;li&gt;中内容超过长度后以省略号显示的方法 此方法适用与IE与OP浏览器</strong></p>
<pre> &lt;style type="text/css"&gt;
 &lt;!-- li {
　　　　　 width:200px;
          white-space:nowrap;
          text-overflow:ellipsis;
          -o-text-overflow:ellipsis;
          overflow: hidden;
   } --&gt;
&lt;/style&gt;</pre>
<p><strong>12.为什么web标准中IE无法设置滚动条颜色了</strong></p>
<p>　　解决办法是将body换成html</p>
<pre>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;

&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt;

&lt;style type="text/css"&gt;

&lt;!-- html {     

scrollbar-face-color:#f6f6f6;     

scrollbar-highlight-color:#fff;     

scrollbar-shadow-color:#eeeeee;     

scrollbar-3dlight-color:#eeeeee;     

scrollbar-arrow-color:#000;     

scrollbar-track-color:#fff;     

scrollbar-darkshadow-color:#fff;     

} --&gt;

&lt;/style&gt;</pre>
<p><strong>13:为什么无法定义1px左右高度的容器</strong></p>
<p>　　IE6下这个问题是因为默认的行高造成的,解决的方法也有很多,例如:overflow:hidden | zoom:0.08 | line-height:1px</p>
<p><strong>14.怎么样才能让层显示在FLASH之上呢 ?</strong></p>
<p>　　解决的办法是给FLASH设置透明 &lt;param name="wmode" value="transparent" /&gt;</p>
<p><strong>15.怎样使一个div垂直居中于浏览器中</strong></p>
<p>这里我们使用百分比绝对定位,与外补丁负值的方法,负值的大小为其自身宽度高度除以二</p>
<pre>&lt;style type="text/css"&gt;

&lt;!-- div {     

position:absolute;     

top:50%;     

lef:50%;     

margin:-100px 0 0 -100px;     

width:200px;     

height:200px;     

border:1px solid red;     

} --&gt;

&lt;/style&gt; </pre>
<p><strong>FF</strong><strong>与IE的兼容处理规则</strong></p>
<p><strong>1. Div居中问题</strong></p>
<p>　　div设置 margin-left, margin-right 为 auto 时已经居中，IE 不行，IE需要设定body居中，首先在父级元素定义text-algin: center;这个的意思就是在父级元素内的内容居中。</p>
<p><strong>2.链接(a标签)的边框与背景</strong></p>
<p>　　a 链接加边框和背景色，需设置 display: block, 同时设置 float: left 保证不换行。参照 menubar, 给 a 和 menubar 设置高度是为了避免底边显示错位, 若不设 height, 可以在 menubar 中插入一个空格。</p>
<p><strong>3.超链接访问过后hover样式就不出现的问题</strong></p>
<p>　　被点击访问过的超链接样式不在具有hover和active了,很多人应该都遇到过这个问题,</p>
<p>　　解决方法是改变CSS属性的排列顺序: L-V-H-A</p>
<p>　　Code:</p>
<pre>&lt;style type="text/css"&gt;
    a:link {color:blue;}
    a:visited {color:red;}
    a:hover {color:yellow;}
    a:active {color:black}
 &lt;/style&gt;  </pre>
<p><strong>4. 游标手指cursor&nbsp;</strong></p>
<p>　　cursor: pointer 可以同时在 IE FF 中显示游标手指状， hand 仅 IE 可以.</p>
<p><strong>5.&lt;ul&gt;的padding与margin</strong></p>
<p>　　ul标签在FF中默认是有padding值的,而在IE中只有margin默认有值,所以先定义 ul{margin:0;padding:0;}就能解决大部分问题</p>
<p><strong>6. FORM标签,这个标签在IE中,将会自动margin一些边距,而在FF中margin则是0</strong>,</p>
<p>　　如果想显示一致,所以最好在css中指定margin和 padding,针对上面两个问题,我的css中一般首先都使用这样的样式ul,form{margin:0;padding:0;}给定义死了,所以后面就不会为这个头疼了.</p>
<p><strong>7. BOX模型解释不一致问题,在FF和IE 中的BOX模型解释不一致导致相差2px</strong></p>
<p><strong>　　</strong>解决方法：div{margin:30px!important;margin:28px;} 注意这两个 margin的顺序一定不能写反， important这个属性IE不能识别，但别的浏览器可以识别。</p>
<p>　　所以在IE下其实解释成这样： div {maring:30px;margin:28px}重复定义的话按照最后一个来执行，所以不可以只写margin:xx px!important;</p>
<p><strong>8.最狠的手段 - !important;</strong></p>
<p><strong>　　</strong>如果实在没有办法解决一些细节问题,可以用这个方法.FF对于&rdquo;!important&rdquo;会自动优先解析,然而IE则会忽略.如下　　</p>
<pre>.tabd1{   

background:url(/res/images/up/tab1.gif);

no-repeat 0px 0px !important; /*Style for FF*/   

background:url(/res/images/up/tab1.gif);

no-repeat 1px 0px; /* Style for IE */

}  </pre>
<p>值得注意的是，一定要将xxxx !important 这句放置在另一句之上，上面已经提过</p>
<p><strong>9.IE,FF的默认值问题</strong></p>
<p>　　或许你一直在抱怨为什么要专门为IE和FF写不同的CSS，为什么IE这样让人头疼，然后一边写css，一边咒骂那个可恶的M$ IE.其实对于css的标准支持方面，IE并没有我们想象的那么可恶，关键在于IE和FF的默认值不一样而已，掌握了这个技巧，你会发现写出兼容FF和IE的css并不是那么困难，或许对于简单的css，你完全可以不用&rdquo;!important&rdquo;这个东西了。我们都知道，浏览器在显示网页的时候，都会根据网页的 css样式表来决定如何显示，但是我们在样式表中未必会将所有的元素都进行了具体的描述，当然也没有必要那么做，所以对于那些没有描述的属性，浏览器将采用内置默认的方式来进行显示，譬如文字，如果你没有在css中指定颜色，那么浏览器将采用黑色或者系统颜色来显示，div或者其他元素的背景，如果在 css中没有被指定，浏览器则将其设置为白色或者透明，等等其他未定义的样式均如此。所以有很多东西出现FF和IE显示不一样的根本原因在于它们的默认显示不一样，而这个默认样式该如何显示我知道在w3中有没有对应的标准来进行规定，因此对于这点也就别去怪罪IE了。</p>
<p><strong>10.为什么FF下文本无法撑开容器的高度 </strong></p>
<p>标准浏览器中固定高度值的容器是不会象IE6里那样被撑开的,那我又想固定高度,又想能被撑开需要怎样设置呢？</p>
<p>办法就是去掉height设置min-height:200px;</p>
<p>这里为了照顾不认识min-height的IE6 可以这样定义:</p>
<pre>.demo{
 height:auto!important;
 height:200px;
 min-height:200px;
 }</pre>
<p><strong>11.为什么IE6下容器的宽度和FF解释不同呢</strong></p>
<p>&lt;?xml version="1.0" encoding="gb2312"?&gt;</p>
<p>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</p>
<p>&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt;</p>
<p>&lt;style type="text/css"&gt;</p>
<p>&lt;!-- div {</p>
<p>cursor:pointer;</p>
<p>width:200px;</p>
<p>height:200px;</p>
<p>border:10px solid red</p>
<p>} --&gt;</p>
<p>&lt;/style&gt;</p>
<p>&lt;div ōnclick="alert(this.offsetWidth)"&gt;让FireFox与IE兼容&lt;/div&gt;</p>
<p>问题的差别在于容器的整体宽度有没有将边框（border）的宽度算在其内,这里IE6解释为200PX ,而FF则解释为220PX,那究竟是怎么导致的问题呢？</p>
<p>大家把容器顶部的xml去掉就会发现原来问题出在这,顶部的申明触发了IE的qurks mode,关于qurks mode、 standards mode的相关知识,请参考:http: //www.microsoft.com/china/msdn/library/webservices/asp.net/ ASPNETusStan.mspx?mfr=true</p>
<p>IE6,IE7,FF&nbsp;&nbsp; IE7.0 出来了，对CSS的支持又有新问题。浏览器多了，网页兼容性更差了，疲于奔命的还是我们 ，为解决IE7.0的兼容问题，找来了下面这篇文章： 现在我大部分都是用!important来hack，对于ie6和firefox测试可以正常显示，但是ie7对!important可以正确解释，会导致页面没按要求显示！下面是三个浏览器的兼容性收集.</p>
<p><strong>第一种，是CSS HACK的方法&nbsp;&nbsp;&nbsp;</strong></p>
<p>height:20px; /*For Firefox*/</p>
<p>*height:25px; /*For IE7 &amp; IE6*/</p>
<p>_height:20px; /*For IE6*/&nbsp;&nbsp;&nbsp; 注意顺序。</p>
<p>第二种，这样也属于CSS HACK，不过没有上面这样简洁。</p>
<p>#example { color: #333; } /* Moz */</p>
<p>* html #example { color: #666; } /* IE6 */</p>
<p>*+html #example { color: #999; } /* IE7 */</p>
<p>&lt;!--其他浏览器 --&gt;</p>
<p>&lt;link rel="stylesheet" type="text/css" href="css.css" /&gt;</p>
<p>&lt;!--[if IE 7]&gt;&nbsp;&nbsp;&nbsp; &lt;!-- 适合于IE7 --&gt;</p>
<p>&lt;link rel="stylesheet" type="text/css" href="ie7.css" /&gt;&nbsp;&nbsp;&nbsp; &lt;![endif]--&gt;</p>
<p>&lt;!--[if lte IE 6]&gt;&nbsp;&nbsp;&nbsp; &lt;!-- 适合于IE6及一下 --&gt;</p>
<p>&lt;link rel="stylesheet" type="text/css" href="ie.css" /&gt;</p>
<p>&lt;![endif]--&gt;</p>
<p>第三种，css filter的办法，以下为经典从国外网站翻译过来的。.</p>
<p>新建一个css样式如下：</p>
<p>#item {</p>
<p>width: 200px;</p>
<p>height: 200px;</p>
<p>background: red;</p>
<p>}</p>
<p>新建一个div,并使用前面定义的css的样式：&nbsp;&nbsp;&nbsp; &lt;div id="item"&gt;some text here&lt;/div&gt;</p>
<p>在body表现这里加入lang属性,中文为zh：&nbsp;&nbsp;&nbsp; &lt;body lang="en"&gt;</p>
<p>现在对div元素再定义一个样式：</p>
<p>*:lang(en) #item{</p>
<p>background:green !important;</p>
<p>}</p>
<p>这样做是为了用!important覆盖原来的css样式,由于:lang选择器ie7.0并不支持,所以对这句话不会有任何作用,于是也达到了ie6.0下同样的效果,</p>
<p>但是很不幸地的是,safari同样不支持此属性,所以需要加入以下css样式：&nbsp;&nbsp;&nbsp; #item:empty {&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; background: green !important&nbsp;&nbsp;&nbsp; }</p>
<p>:empty选择器为css3的规范,尽管safari并不支持此规范,但是还是会选择此元素,不管是否此元素存在,现在绿色会现在在除ie各版本以外的浏览器上。</p>
<p>对IE6和FF的兼容可以考虑以前的!important 个人比较喜欢用.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:51:27 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>CSS对浏览器的兼容性常见处理方式小结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38qGvK4.html" rel="bookmark">CSS对浏览器的兼容性&lpar;IE和Firefox&rpar;技巧整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CSS对浏览器的兼容性有时让人很头疼,或许当你了解当中的技巧跟原理,就会觉得也不是难事,从网上收集了IE7,6与Fireofx的兼容性处理技巧并整理了一下.对于web2.0的过度,请尽量用xhtml格式写代码,而且DOCTYPE 影响 CSS 处理,作为W3C的标准,一定要加 DOCTYPE声明. CSS技巧 1.div的垂直居中问题 vertical-align:middle; 将行距增加到和整个DIV一样高 line-height:200px; 然后插入文字,就垂直居中了.缺点是要控制内容不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02olOR3.html" rel="bookmark">CSS在浏览器兼容问题上的处理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CSS对浏览器的兼容性有时让人很头疼,或许当你了解当中的技巧跟原理,就会觉得也不是难事,从网上收集了IE7,6与Fireofx的兼容性处理方法并整理了一下.对于web2.0的过度,请尽量用xhtml格式写代码,而且DOCTYPE 影响 CSS 处理,作为W3C的标准,一定要加 DOCTYPE声名. CSS技巧 1.div的垂直居中问题  vertical-align:middle; 将行距增加到和整个DIV一样高 line-height:200px; 然后插入文字,就垂直居中了.缺点是要控制内容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MERRBR0.html" rel="bookmark">浏览器样式兼容性问题及解决方式（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工作中常常会碰到浏览器样式兼容性的问题.从今天開始,收集和整理一些常见的兼容性问题,系统的学习下前端知识.欢迎大家指正交流. 1.浏览器默认的标签内外边距不同,用通配符*统一设置为0 *{margin:0px; height:0px;} 2.标签最低高度min-height不兼容 {min-height:200px; height:auto !Important; height:200px; overflow:visible;} 3.设置较小高度标签 当给指定标签设置较小高度时,就碰到与浏览器默			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x85RB0.html" rel="bookmark">浅谈浏览器的兼容性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浏览器的兼容性浅谈 Css兼容性 &lt;span&gt;标签在IE下要放在前面,否则IE会有问题. IE6下没有min-width的概念,起默认的width就是min-width IE6下两个float之间会有3px的bug IE6图片的下方会有空隙 IE6下margin:0 auto不能剧中,解决:为其父容器设置text-align:center A标签的伪类一定要按LV H A的顺序写,否则ie6有错误 Javascript的兼容性 绑定事件不一样.标准的绑定事件为addEventListener,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NGxk2M.html" rel="bookmark">谈谈浏览器的兼容性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(一)html部分 1. H5新标签在IE9以下的浏览器识别 &lt;!--[if lt IE 9]&gt; &lt;script type=&quot;text/javascript&quot; src=&quot;js/html5shiv.js&quot;&gt;&lt;/script&gt; &lt;![endif]--&gt; html5shiv.js下载地址: https://github.com/aFarkas/html5shiv/releases 2. ul标签内外边距问题ul标签在IE6\			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q2BrBM.html" rel="bookmark">关于浏览器的兼容性问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于IE浏览器的兼容性问题,老师在上课有带我们了解过,课后我也在整理和理解了这个问题 一 不同浏览器的标签默认标签的会有产生间距 比如以下    为了消除这个边距 使在不同浏览器有一样的效果 解决方法就是在每个CSS开头都加上  *{margin:0;padding:0;} 这样来设置各个标签的内外补丁是0. 二  对于IE6.7对display:inline-block不支持 对于一般浏览器css样式中使用display:inline-block就会正常显示 我们先写html &lt;ul&gt; &l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmKyOY3.html" rel="bookmark">适合小白用的css几种睡在中间的方式！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				平常小白最讨厌的事情就是css为什么没有办法居中,现在小狐狸为大家整理几种方式,请广大人民群众笑纳!!! 吐舌头 1水平居中 1.1 内联元素水平居中 利用 text-align: center 可以实现在块级元素内部的内联元素水平居中.此方法对内联元素(inline), 内联块(inline-block), 内联表(inline-table), inline-flex元素水平居中都有效. 核心代码: .center-text {text-align: center;} 1.2 块级元素水平居中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kYavd4.html" rel="bookmark">【基础】CSS实现多重边框的5种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[基础]CSS实现多重边框的5种方式 简言 目前最优雅地实现多重边框的方案是利用CSS3 的 box-shadow属性,但如果要兼容老的浏览器,则需要选择其它的方案.本文简要地列举了几种多重边框的实现方案,大家可以根据项目实际及兼容性要求等情况,选择最适合的实现方案. 1 利用描边(outline)属性 方案1利用描边(outline)属性结合border属性实现双重边框.此方案实现简单,兼容性好,能兼容除IE6,7以外的浏览器. 1.1 核心代码 .borders { border: s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R8GDY4.html" rel="bookmark">【css】清除浮动的几种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[css]清除浮动的几种方式 因为浮动框不在普通的文档流中,所以它不占据空间.如下面的代码: 1 .news { 2 background-color:gray; 3 border:1px solid black; 4 } 5 .news img { 6 float:left; 7 } 8 .news p { 9 float:right; 10 } 11 &lt;divclass=&quot;news&quot;&gt; 12 &lt;imgsrc=&quot;/img/news-pic.jgp&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM681X3.html" rel="bookmark" class="title">再贴一段shell，以供参考</a>
					<div>
						1 #! /bin/bash 2 DEPLOY_PATH=$(cd &quot;$(dirname &quot;$0&quot;)&quot;; pwd) 3 INI_FILE=$DEPLOY_PAT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g418Dq3.html" rel="bookmark" class="title">通过批处理来运行python程序</a>
					<div>
						&gt;准备 &gt;&gt;在所用的python源程序最前面指定该源程序要用那种可执行程序去运行它 &gt;&gt;例如: #!/bin/sh shell脚本 #!/usr/bin/perl per ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0agDR4.html" rel="bookmark" class="title">Linux中生成密钥的两种方法</a>
					<div>
						Linux中生成密钥的两种方法 SSH服务支持一种安全认证机制,即密钥认证.所谓的密钥认证,实际上是使用一对加密字符串,一个称为公钥(publickey), 任何人都可以看到其内容,用于加密:另一个称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmV7p0.html" rel="bookmark" class="title">alpha发布之小组评论</a>
					<div>
						经过今天的alpha发布后,看到了很多优秀的作品,对我的触动很大.平时看似都在一起上课的同学大家都在努力的完成自己的项目,但是自己也美其名曰没有闲着,但是在今天的发布日期上却没有拿出可展示的成果.其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDkrl3.html" rel="bookmark" class="title">9&period;14 超级树题解</a>
					<div>
						这道题当时dfs+打表过了3个点,还算可以. 当时推测的是递推/数学,然而正解是一个类似于DP的递推. 我们设定f[i][j]为深度为i的树中同时存在j条边,且所有边无任何两条有公共点,不必包含所有点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5qgPM.html" rel="bookmark" class="title">h5的瀑布流</a>
					<div>
						&lt;!doctype html&gt;&lt;html&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot;&gt;&lt;title&gt;超简易瀑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBadvv4.html" rel="bookmark" class="title">越狱后如何添加cydia源及cydia源大全</a>
					<div>
						http://jingyan.baidu.com/article/6c67b1d6cc53fe2787bb1e06.html 软件游戏能PJ,插件其实也一样,所以有些源里面就包含了大量的PJ插件~ a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d9glZ3.html" rel="bookmark" class="title">python 判断目录是否存在，如果不存在则创建</a>
					<div>
						eg1: if os.path.isdir('E:\test'):    passelse:    os.mkdir('E:\test') ##os.mkdir() 只会创建一个目录,不可以级联创建  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGppBa0.html" rel="bookmark" class="title">计算机图形学中的经常使用模型</a>
					<div>
						今天在网上搜了一下图形学里面比較经常使用的模型.认为挺有意思,把它们收集起来,总结一下. 1.Lena/Lenna 这个模型是一个美女,名字叫Lena,是1972年11月&lt;Playboy&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dNebe4.html" rel="bookmark" class="title">20150615&lpar;时间可以珍惜么？&rpar;</a>
					<div>
						对于生命来说,时间总是不够的,人类的很多问题的根源其实就来之于这个时间的有限(且短暂),所以我们有很多经验和谚语都告诫我们自己需要珍惜时间.但实际上这是个伪命题,因为时间本身是单向的,并不以我们的意志 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Onydr0.html" rel="bookmark" class="title">开源跳板机&lpar;堡垒机&rpar;Jumpserver v2&period;0&period;0 部署篇</a>
					<div>
						** 强烈建议第一遍所有密码账号等与文档相同 ** 官网: http://www.jumpserver.org demo: http://demo.jumpserver.org 更新log: http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobYjx4.html" rel="bookmark" class="title">解决启动Eclipse后提示&rsquo;Running android lint&rsquo;错误的问题</a>
					<div>
						打开项目的AndroidManifest.xml文件,将android:targetSdkVersion的版本值 修改为低版本, 如android:targetSdkVersion=&quot;21& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME66Ax0.html" rel="bookmark" class="title">【转载】硬盘MBR详细介绍</a>
					<div>
						原文地址:http://blog.chinaunix.net/uid-15007890-id-106892.html 硬盘MBR详细介绍 硬盘是现在计算机上最常用的存储器之一.我们都知道,计算机之所以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBWLyZ0.html" rel="bookmark" class="title">转 c&num; 日期函数&lbrack;string&period;Format----GetDateTimeFormats&rsqb;格式 &period;</a>
					<div>
						DateTime dt = DateTime.Now;Label1.Text = dt.ToString();//2005-11-5 13:21:25Label2.Text = dt.ToFileTi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JOzVAM.html" rel="bookmark" class="title">第六章 设计程序架构 之 设计实现WebSocket策略</a>
					<div>
						1. 概述 传统的网页的通信方式是请求-相应模式,每次请求-相应都是新的连接.连接的建立和断开也是需要消耗资源的. WebSocket是基于TCP协议,实现单个连接上的双向通信. 本章内容包括: 异步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35pE6E0.html" rel="bookmark" class="title">&lbrack;转&rsqb;AngularJS：何时应该使用Directive、Controller、Service？</a>
					<div>
						AngularJS是一款非常强大的前端MVC框架.同时,它也引入了相当多的概念,这些概念我们可能不是太熟悉.(译者注:老外真谦虚,我大天朝的码农对这些概念那是相当熟悉啊!)这些概念有: Directi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kwP7L0.html" rel="bookmark" class="title">ti processor sdk linux am335x evm &sol;bin&sol;setup-targetfs-nfs&period;sh hacking</a>
					<div>
						#!/bin/sh # # ti processor sdk linux am335x evm /bin/setup-targetfs-nfs.sh hacking # 说明: # 本文主要对TI的s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rDeQgM.html" rel="bookmark" class="title">站长日记--网站攻防--防止恶意解析指向&lpar;故事版&rpar;</a>
					<div>
						事情是这样的,本文以故事为主,然后是丰富的心理变化,然后是一段广告(别打我),最后是一点技术心得.本文属原创,未经许可不得转载,转载不能删掉我的广告! 作为一个开发者,怎么能没有自己的网站呢,于是乎去 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xD1Rz0.html" rel="bookmark" class="title">Ehcache BlockingCache 源码分析</a>
					<div>
						BlockingCache是对Ehcache进行的扩展,BlockingCache内置了读写锁,不需要用户显示调用. 要彻底分析BlockingCache的原理,需要首先来看一下它内部用到的一些类.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JGlxQM.html" rel="bookmark" class="title">String&period;format&lpar;&rpar;的用法</a>
					<div>
						string.format()用法 2011-06-21 14:58:57|  分类: 工作笔记 |  标签:string  format用法   |字号大中小 订阅 1.格式化货币(跟系统的环境有关 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
